%define build_plf 0
%{?_with_plf: %{expand: %%define build_plf 1}}


%define name 	 hugin
%define version  0.5
%define snapshot beta4
%define rel	 0.%snapshot.1

%if %build_plf
%define release %{rel}plf
%else
%define release %{rel}mdk
%endif

Summary: 	Hugin - Panorama Tools GUI
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%version-%{snapshot}.tar.bz2
Source11: 	%{name}.16.png
Source12: 	%{name}.32.png
Source13: 	%{name}.48.png
License: 	GPL
Group: 		Graphics
Url: 		http://hugin.sourceforge.net
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	libboost-devel
BuildRequires: 	pano12-devel
BuildRequires: 	fftw2-devel
BuildRequires: 	libwxgtk-devel >= 2
BuildRequires:	zlib-devel 
BuildRequires:	libtiff-devel
BuildRequires:	libjpeg-devel
BuildRequires: 	libpng-devel
	
%description
Hugin can be used to stitch multiple images together. The resulting image can
span 360 degrees. Another common use is the creation of very high resolution
pictures by combining multiple images. 

%if %build_plf
%package sift
Summary: 	Additional autofind keypoints utility for hugin
Group:		Graphics
Requires:	hugin >= 0.4

%description sift
The keypoint utility is an advanced algorithm to find automaticly keypoints 
between images. It create a keypoint list that can be used with Hugin
This package is part of the PLF repository because it use a patented 
algorithm ( see LICENCE_SIFT )
%endif

%prep 
%setup -q -n %{name}-%{version}-%{snapshot}
%build

%configure --disable-rpath --disable-static

%make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %name
%find_lang nona_gui
cat nona_gui.lang >> %name.lang

perl -pi -e "s|\r\n|\n|" $RPM_BUILD_ROOT%{_datadir}/%name/xrc/data/*.xpm

%if !%build_plf
# patented stuff
rm -f $RPM_BUILD_ROOT%{_bindir}/panosifter $RPM_BUILD_ROOT%{_bindir}/sift_keypoints $RPM_BUILD_ROOT%{_bindir}/autopano_old
%endif

# Menu icons
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# menu entries
mkdir -p  $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(hugin):command="/usr/bin/hugin" \
icon="hugin.png" needs="X11" \
section="Multimedia/Graphics" startup_notify="false" \
title="Hugin" longtitle="A panorama tools GUI " \
mimetypes="" accept_url="false" \
multiple_files="false"  
EOF

%clean 
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus} 

%postun 
%{clean_menus} 

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS BUGS LICENCE README TODO
%{_bindir}/hugin
%{_bindir}/autooptimiser
%{_bindir}/nona
%{_bindir}/nona_gui
%{_bindir}/zhang_undistort
%{_datadir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}

%if %build_plf
%files sift
%defattr(-,root,root)
%doc LICENCE_SIFT
%{_bindir}/sift_keypoints
%{_bindir}/panosifter
%endif

%changelog
* Sun Mar 27 2005 Couriousous <couriousous@mandrake.org> 0.5-0.beta4.1mdk
- 0.5 beta4

* Wed Jan 26 2005 Couriousous <couriousous@mandrake.org> 0.4-0.20050126.1mdk
- Cvs sync
- Disable french locale since it doesn't build

* Tue Jan 04 2005 Couriousous <couriousous@mandrake.org> 0.4-0.20050104.1mdk
- Cvs sync
- Some spec clean
- Use automatic install
- Add locales
- Disable "de" locale, as it doesn't build

* Wed Dec 08 2004 Couriousous <couriousous@mandrake.org> 0.4-0.20041208.1mdk
- Cvs sync

* Sat Aug 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.4-0.20040725.2mdk
- fixed directory ownership (distlint)

* Thu Aug 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.4-0.20040725.1mdk
- update from Couriousous <couriousous@zarb.org>:
 - sync with CVS
 - drop patch0
 - split the patented and non-patented part in two package
- disabled parallel build
- fixed buildrequires

* Fri Jul 02 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.3-1mdk 
- contributed by Couriousous <couriousous@sceen.net>
